local entity = {}

entity.__index = entity

function entity.load(name)
  local self = setmetatable({}, entity)
  self.data = {
    max_speed = 100.0,
    accel = 2.0,
  }
  return self
end

function entity:update(dt)
end

function entity:draw()
  love.graphics.push()
  love.graphics.print(string.format("Max Speed : %s", self.data.max_speed), 0, 0)
  love.graphics.print(string.format("Accel : %s", self.data.accel), 0, 20)
  love.graphics.pop()
end



return entity
